Runs
List runs
List executions, newest first. next_cursor returns the next page of older executions.
GET
/
v1
/
executions
List runs
curl --request GET \
--url https://api.getmillwork.dev/v1/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"cancelled_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"links": {
"events": "<string>",
"receipt": "<string>",
"status": "<string>"
},
"mode": "live",
"slices": [
{
"capability": "<string>",
"slice_id": "<string>",
"status": "accepted"
}
],
"status": "accepted",
"decision_packet": {
"action": "gate",
"agent_usage_usd": 1,
"artifact": {
"base_ref": "<string>",
"base_sha": "<string>",
"branch": "<string>",
"final_sha": "<string>",
"pr_number": 123,
"pr_url": "<string>",
"repository": "<string>",
"pr_opened_by": {
"github_login": "<string>",
"github_user_id": 123
}
},
"connector_versions": {
"agent": "<string>",
"coderabbit": "<string>",
"github": "<string>"
},
"decided_at": "2023-11-07T05:31:56Z",
"platform_fee_usd": 1,
"policy": {
"combine": "all",
"sources": [
"<string>"
],
"veto_sources": [
"<string>"
]
},
"policy_hash": "<string>",
"reason": "<string>",
"sources": [
{
"evidence_id": "<string>",
"id": "<string>",
"observed_at": "<string>",
"reason": "<string>",
"status": "pass"
}
],
"verdict": "pass",
"version": "v1"
}
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Available options:
accepted, queued, running, progress, completed, failed, cancelled, expired Opaque cursor from next_cursor. Returns the next page of older items.
Required range:
1 <= x <= 200⌘I
List runs
curl --request GET \
--url https://api.getmillwork.dev/v1/executions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"executions": [
{
"cancelled_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_id": "<string>",
"links": {
"events": "<string>",
"receipt": "<string>",
"status": "<string>"
},
"mode": "live",
"slices": [
{
"capability": "<string>",
"slice_id": "<string>",
"status": "accepted"
}
],
"status": "accepted",
"decision_packet": {
"action": "gate",
"agent_usage_usd": 1,
"artifact": {
"base_ref": "<string>",
"base_sha": "<string>",
"branch": "<string>",
"final_sha": "<string>",
"pr_number": 123,
"pr_url": "<string>",
"repository": "<string>",
"pr_opened_by": {
"github_login": "<string>",
"github_user_id": 123
}
},
"connector_versions": {
"agent": "<string>",
"coderabbit": "<string>",
"github": "<string>"
},
"decided_at": "2023-11-07T05:31:56Z",
"platform_fee_usd": 1,
"policy": {
"combine": "all",
"sources": [
"<string>"
],
"veto_sources": [
"<string>"
]
},
"policy_hash": "<string>",
"reason": "<string>",
"sources": [
{
"evidence_id": "<string>",
"id": "<string>",
"observed_at": "<string>",
"reason": "<string>",
"status": "pass"
}
],
"verdict": "pass",
"version": "v1"
}
}
],
"next_cursor": "<string>"
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}